﻿<?xml version="1.0" encoding="utf-8"?>
<serviceModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="DemoCloud" generation="1" functional="0" release="0" Id="a1b68967-a620-4075-8032-def4b6604f1d" dslVersion="1.2.0.0" xmlns="http://schemas.microsoft.com/dsltools/RDSM">
  <groups>
    <group name="DemoCloudGroup" generation="1" functional="0" release="0">
      <componentports>
        <inPort name="LoginDemo:HttpIn" protocol="http">
          <inToChannel>
            <lBChannelMoniker name="/DemoCloud/DemoCloudGroup/LB:LoginDemo:HttpIn" />
          </inToChannel>
        </inPort>
        <inPort name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput" protocol="tcp">
          <inToChannel>
            <lBChannelMoniker name="/DemoCloud/DemoCloudGroup/LB:LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput" />
          </inToChannel>
        </inPort>
      </componentports>
      <settings>
        <aCS name="LoginDemoInstances" defaultValue="[1,1,1]">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemoInstances" />
          </maps>
        </aCS>
        <aCS name="Certificate|LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapCertificate|LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:DiagnosticsConnectionString" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:DiagnosticsConnectionString" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:?IsSimulationEnvironment?" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:?IsSimulationEnvironment?" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:?RoleHostDebugger?" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:?RoleHostDebugger?" />
          </maps>
        </aCS>
        <aCS name="LoginDemo:?StartupTaskDebugger?" defaultValue="">
          <maps>
            <mapMoniker name="/DemoCloud/DemoCloudGroup/MapLoginDemo:?StartupTaskDebugger?" />
          </maps>
        </aCS>
      </settings>
      <channels>
        <lBChannel name="LB:LoginDemo:HttpIn">
          <toPorts>
            <inPortMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/HttpIn" />
          </toPorts>
        </lBChannel>
        <lBChannel name="LB:LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput">
          <toPorts>
            <inPortMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput" />
          </toPorts>
        </lBChannel>
        <sFSwitchChannel name="SW:LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.Rdp">
          <toPorts>
            <inPortMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.Rdp" />
          </toPorts>
        </sFSwitchChannel>
      </channels>
      <maps>
        <map name="MapLoginDemoInstances" kind="Identity">
          <setting>
            <sCSPolicyIDMoniker name="/DemoCloud/DemoCloudGroup/LoginDemoInstances" />
          </setting>
        </map>
        <map name="MapCertificate|LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" kind="Identity">
          <certificate>
            <certificateMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" />
          </certificate>
        </map>
        <map name="MapLoginDemo:DiagnosticsConnectionString" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/DiagnosticsConnectionString" />
          </setting>
        </map>
        <map name="MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" />
          </setting>
        </map>
        <map name="MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" />
          </setting>
        </map>
        <map name="MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" />
          </setting>
        </map>
        <map name="MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" />
          </setting>
        </map>
        <map name="MapLoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" />
          </setting>
        </map>
        <map name="MapLoginDemo:?IsSimulationEnvironment?" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/?IsSimulationEnvironment?" />
          </setting>
        </map>
        <map name="MapLoginDemo:?RoleHostDebugger?" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/?RoleHostDebugger?" />
          </setting>
        </map>
        <map name="MapLoginDemo:?StartupTaskDebugger?" kind="Identity">
          <setting>
            <aCSMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/?StartupTaskDebugger?" />
          </setting>
        </map>
      </maps>
      <components>
        <groupHascomponents>
          <role name="LoginDemo" generation="1" functional="0" release="0" software="C:\Users\jofultz.NORTHAMERICA\documents\visual studio 2010\Projects\SimpleDemo\DemoCloud\bin\Debug\DemoCloud.csx\roles\LoginDemo" entryPoint="base\x64\WaHostBootstrapper.exe" parameters="base\x64\WaIISHost.exe " memIndex="1792" hostingEnvironment="frontendadmin" hostingEnvironmentVersion="2">
            <componentports>
              <inPort name="HttpIn" protocol="http" portRanges="80" />
              <inPort name="Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput" protocol="tcp" />
              <inPort name="Microsoft.WindowsAzure.Plugins.RemoteAccess.Rdp" protocol="tcp" portRanges="3389" />
              <outPort name="LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.Rdp" protocol="tcp">
                <outToChannel>
                  <sFSwitchChannelMoniker name="/DemoCloud/DemoCloudGroup/SW:LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteAccess.Rdp" />
                </outToChannel>
              </outPort>
            </componentports>
            <settings>
              <aCS name="DiagnosticsConnectionString" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" defaultValue="" />
              <aCS name="?IsSimulationEnvironment?" defaultValue="" />
              <aCS name="?RoleHostDebugger?" defaultValue="" />
              <aCS name="?StartupTaskDebugger?" defaultValue="" />
              <aCS name="__ModelData" defaultValue="&lt;m role=&quot;LoginDemo&quot; xmlns=&quot;urn:azure:m:v1&quot;&gt;&lt;r name=&quot;LoginDemo&quot;&gt;&lt;e name=&quot;HttpIn&quot; /&gt;&lt;e name=&quot;Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput&quot; /&gt;&lt;e name=&quot;Microsoft.WindowsAzure.Plugins.RemoteAccess.Rdp&quot; /&gt;&lt;/r&gt;&lt;/m&gt;" />
            </settings>
            <resourcereferences>
              <resourceReference name="DiagnosticStore" defaultAmount="[4096,4096,4096]" defaultSticky="true" kind="Directory" />
              <resourceReference name="EventStore" defaultAmount="[1000,1000,1000]" defaultSticky="false" kind="LogStore" />
            </resourcereferences>
            <storedcertificates>
              <storedCertificate name="Stored0Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" certificateStore="My" certificateLocation="System">
                <certificate>
                  <certificateMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo/Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" />
                </certificate>
              </storedCertificate>
            </storedcertificates>
            <certificates>
              <certificate name="Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" />
            </certificates>
          </role>
          <sCSPolicy>
            <sCSPolicyIDMoniker name="/DemoCloud/DemoCloudGroup/LoginDemoInstances" />
          </sCSPolicy>
        </groupHascomponents>
      </components>
      <sCSPolicy>
        <sCSPolicyID name="LoginDemoInstances" defaultPolicy="[1,1,1]" />
      </sCSPolicy>
    </group>
  </groups>
  <implements>
    <implementation Id="034789f6-5e72-4e5a-8db6-086efc04159a" ref="Microsoft.RedDog.Contract\ServiceContract\DemoCloudContract@ServiceDefinition.build">
      <interfacereferences>
        <interfaceReference Id="474da6bb-6454-483d-8353-081668acc7b9" ref="Microsoft.RedDog.Contract\Interface\LoginDemo:HttpIn@ServiceDefinition.build">
          <inPort>
            <inPortMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo:HttpIn" />
          </inPort>
        </interfaceReference>
        <interfaceReference Id="f9243074-1cea-41a9-881c-a3ebcad84678" ref="Microsoft.RedDog.Contract\Interface\LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput@ServiceDefinition.build">
          <inPort>
            <inPortMoniker name="/DemoCloud/DemoCloudGroup/LoginDemo:Microsoft.WindowsAzure.Plugins.RemoteForwarder.RdpInput" />
          </inPort>
        </interfaceReference>
      </interfacereferences>
    </implementation>
  </implements>
</serviceModel>