﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Net;
using System.Web.Script.Serialization;
using System.Collections;

namespace LoginDemo
{   
    /// <summary>
    /// 
    /// </summary>
    public class FBHelper
    {
                                                   
        public const string _fbFriendsListQuery = "https://graph.facebook.com/me/friends?access_token={0}";  // example token: 2227470867|2.bVjY01g2yerF_jaVjzH27w__.3600.1291924800-568657577|14G3CqmtwA5dFOqSCGfnTaBJ0Z4"
        public const string _fbFriendInfoQuery = "https://graph.facebook.com/{0}/";
        public const string _fbApplicationSecret = "[app secret]";
        public const string _fbApplicationID = "[app id]";
        public const string _fbAPIKey = "[api key]";

        private static string _fbAccessToken = default(string);
        public static string fbAccessToken
        {
            get { return _fbAccessToken; }
            set { _fbAccessToken = value; }
        }

        public static Hashtable MakeFBRequest(string RequestUrl)
        {
            Hashtable ResponseValues = default(Hashtable);

            WebClient WC = new WebClient();
            Uri uri = new Uri(String.Format(RequestUrl, fbAccessToken));
           
            string WCResponse = WC.DownloadString(uri);
            JavaScriptSerializer JSS = new JavaScriptSerializer();
            ResponseValues = JSS.Deserialize<Hashtable>(WCResponse);

            return ResponseValues;
        }

        public static Hashtable MakeFBRequest(string RequestUrl, string AccessToken)
        {
            fbAccessToken = AccessToken;
            return MakeFBRequest(RequestUrl);
        }

        public static Hashtable GetFBFriends(string AccessToken)
        {
            Hashtable FinalListOfFriends = new Hashtable();

            //the list comes back with a nested structure, going to parse through it 
            //and return a hashtable with entries with the key as the friend's ID and the value as the name
            Hashtable FriendsResponse = MakeFBRequest(_fbFriendsListQuery, AccessToken);
            object[] friends = (object[])FriendsResponse["data"];

            for (int idx = 0; idx < friends.Length;idx++ )
            {
                Dictionary<string, object> FriendEntry = (Dictionary<string, object>)friends[idx];

                FinalListOfFriends.Add(FriendEntry["id"], FriendEntry["name"]);

            }
            return FinalListOfFriends;
        }

        public static Hashtable GetFBFriendInfo(string AccessToken, string ID)
        {
            Hashtable FriendInfo = MakeFBRequest(String.Format(_fbFriendInfoQuery, ID) + "?access_token={0}", AccessToken);
            return FriendInfo;
        }


    }
}